package com.ceb.gjjs.mda.resource;

import com.brilliance.mda.runtime.request.BaseVO;
import com.brilliance.mda.runtime.response.ResponseSet;
import com.ceb.gjjs.mda.service.ICommonService;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * @author wangguangchao
 * @create 2021-09-24 11:51
 */
public abstract class AbstractCommonResource<V extends BaseVO> {


    protected abstract ICommonService getCommonService();

    @PostMapping("/init")
    public ResponseSet<V> init(@RequestBody V req) {
        return getCommonService().init(req);
    }

    @PostMapping("/checkAll")
    public ResponseSet checkAll(@RequestBody V req) {

        return getCommonService().checkAll(req);
    }
    @PostMapping("/saveData")
    public ResponseSet<V> saveData(@RequestBody V req) {

        return getCommonService().saveData(req);
    }

    @PostMapping("/confirmData")
    public ResponseSet<V> confirmData(@RequestBody V req) {

        return getCommonService().confirmData(req);
    }

    @PostMapping("/pending")
    public ResponseSet<V> pending(@RequestBody V req) {

        return getCommonService().pending(req);
    }


    @PostMapping("/executeCheck/{rule}")
    public ResponseSet<V> executeCheck(@PathVariable("rule") String rule, @RequestBody V req) {
        String[] ruleArr = rule.split(",");
        return getCommonService().executeCheck(req,ruleArr);
    }

    @PostMapping("/executeRule/{rule}")
    public ResponseSet<V> executeRule(@PathVariable("rule") String rule,@RequestBody V req) {
        String[] ruleArr = rule.split(",");
        ResponseSet<V> res = getCommonService().executeRule(req,ruleArr);
        return res;
    }

    @PostMapping("/executeDefault/{rule}")
    public ResponseSet<V> executeDefault(@PathVariable("rule") String rule,@RequestBody V req) {
        String[] ruleArr = rule.split(",");
        return getCommonService().executeDefault(req,ruleArr);
    }

    @PostMapping("/executeNotify")
    public ResponseSet<V> executeNotify(@RequestBody V req) {
        return getCommonService().executeNotify(req);
    }

    @PostMapping("/executeDocpan")
    public ResponseSet<V> executeDocpan(@RequestBody V req) {
        return getCommonService().executeDocpan(req);
    }

    @PostMapping("/executeDocpanDetail")
    public ResponseSet<V> executeDocpanDetail(@RequestBody V req) {
        return getCommonService().executeDocpanDetail(req);
    }


}
