package com.ceb.gjjs.mda.junitTest;

import com.brilliance.mda.runtime.response.ResponseSet;
import com.fasterxml.jackson.core.type.TypeReference;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.Assert;

import java.io.File;
import java.io.IOException;
import java.nio.file.Paths;

import com.ceb.gjjs.mda.vo.CfxopnVO;

public class CfxopnServiceTest extends BaseTest{

    @Autowired
    private CfxopnService cfxopn;

    @Test
    public void initTest() throws IOException {
        CfxopnVO req = null;
        File file = Paths.get(testJsonDir, "cfxopn").resolve("init.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<CfxopnVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<CfxopnVO> response = cfxopn.init(req);
    }
    @Test
    public void checkAllTest() throws IOException {
        CfxopnVO req = null;
        File file = Paths.get(testJsonDir, "cfxopn").resolve("checkAll.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<CfxopnVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<CfxopnVO> response = cfxopn.checkAll(req);
    }
    @Test
    public void saveDataTest() throws IOException {
        CfxopnVO req = null;
        File file = Paths.get(testJsonDir, "cfxopn").resolve("saveData.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<CfxopnVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<CfxopnVO> response = cfxopn.saveData(req);
    }
    @Test
    public void pendingTest() throws IOException {
        CfxopnVO req = null;
        File file = Paths.get(testJsonDir, "cfxopn").resolve("pending.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<CfxopnVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<CfxopnVO> response = cfxopn.pending(req);
    }

    @Test
    public void executeDefault() {
        String rule = "";
        CfxopnVO req = new CfxopnVO();
        // 参数设置
        ResponseSet<CfxopnVO> response = cfxopn.executeDefault(req,rule);
    }

}
