package com.ceb.gjjs.mda.junitTest;

import com.brilliance.mda.runtime.response.ResponseSet;
import com.fasterxml.jackson.core.type.TypeReference;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.Assert;

import java.io.File;
import java.io.IOException;
import java.nio.file.Paths;

import com.ceb.gjjs.mda.vo.CsndtlVO;

public class CsndtlServiceTest extends BaseTest{

    @Autowired
    private CsndtlService csndtl;

    @Test
    public void initTest() throws IOException {
        CsndtlVO req = null;
        File file = Paths.get(testJsonDir, "csndtl").resolve("init.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<CsndtlVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<CsndtlVO> response = csndtl.init(req);
    }
    @Test
    public void checkAllTest() throws IOException {
        CsndtlVO req = null;
        File file = Paths.get(testJsonDir, "csndtl").resolve("checkAll.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<CsndtlVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<CsndtlVO> response = csndtl.checkAll(req);
    }
    @Test
    public void saveDataTest() throws IOException {
        CsndtlVO req = null;
        File file = Paths.get(testJsonDir, "csndtl").resolve("saveData.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<CsndtlVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<CsndtlVO> response = csndtl.saveData(req);
    }
    @Test
    public void pendingTest() throws IOException {
        CsndtlVO req = null;
        File file = Paths.get(testJsonDir, "csndtl").resolve("pending.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<CsndtlVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<CsndtlVO> response = csndtl.pending(req);
    }

    @Test
    public void executeDefault() {
        String rule = "";
        CsndtlVO req = new CsndtlVO();
        // 参数设置
        ResponseSet<CsndtlVO> response = csndtl.executeDefault(req,rule);
    }

}
