package com.ceb.gjjs.mda.junitTest;

import com.brilliance.mda.runtime.response.ResponseSet;
import com.fasterxml.jackson.core.type.TypeReference;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.Assert;

import java.io.File;
import java.io.IOException;
import java.nio.file.Paths;

import com.ceb.gjjs.mda.vo.CsnselVO;

public class CsnselServiceTest extends BaseTest{

    @Autowired
    private CsnselService csnsel;

    @Test
    public void initTest() throws IOException {
        CsnselVO req = null;
        File file = Paths.get(testJsonDir, "csnsel").resolve("init.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<CsnselVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<CsnselVO> response = csnsel.init(req);
    }
    @Test
    public void checkAllTest() throws IOException {
        CsnselVO req = null;
        File file = Paths.get(testJsonDir, "csnsel").resolve("checkAll.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<CsnselVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<CsnselVO> response = csnsel.checkAll(req);
    }
    @Test
    public void saveDataTest() throws IOException {
        CsnselVO req = null;
        File file = Paths.get(testJsonDir, "csnsel").resolve("saveData.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<CsnselVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<CsnselVO> response = csnsel.saveData(req);
    }
    @Test
    public void pendingTest() throws IOException {
        CsnselVO req = null;
        File file = Paths.get(testJsonDir, "csnsel").resolve("pending.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<CsnselVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<CsnselVO> response = csnsel.pending(req);
    }

    @Test
    public void executeDefault() {
        String rule = "";
        CsnselVO req = new CsnselVO();
        // 参数设置
        ResponseSet<CsnselVO> response = csnsel.executeDefault(req,rule);
    }

}
