package com.ceb.gjjs.mda.junitTest;

import com.brilliance.mda.runtime.response.ResponseSet;
import com.fasterxml.jackson.core.type.TypeReference;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.Assert;

import java.io.File;
import java.io.IOException;
import java.nio.file.Paths;

import com.ceb.gjjs.mda.vo.DbabrcVO;

public class DbabrcServiceTest extends BaseTest{

    @Autowired
    private DbabrcService dbabrc;

    @Test
    public void initTest() throws IOException {
        DbabrcVO req = null;
        File file = Paths.get(testJsonDir, "dbabrc").resolve("init.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbabrcVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbabrcVO> response = dbabrc.init(req);
    }
    @Test
    public void checkAllTest() throws IOException {
        DbabrcVO req = null;
        File file = Paths.get(testJsonDir, "dbabrc").resolve("checkAll.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbabrcVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbabrcVO> response = dbabrc.checkAll(req);
    }
    @Test
    public void saveDataTest() throws IOException {
        DbabrcVO req = null;
        File file = Paths.get(testJsonDir, "dbabrc").resolve("saveData.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbabrcVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbabrcVO> response = dbabrc.saveData(req);
    }
    @Test
    public void pendingTest() throws IOException {
        DbabrcVO req = null;
        File file = Paths.get(testJsonDir, "dbabrc").resolve("pending.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbabrcVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbabrcVO> response = dbabrc.pending(req);
    }

    @Test
    public void executeDefault() {
        String rule = "";
        DbabrcVO req = new DbabrcVO();
        // 参数设置
        ResponseSet<DbabrcVO> response = dbabrc.executeDefault(req,rule);
    }

}
