package com.ceb.gjjs.mda.junitTest;

import com.brilliance.mda.runtime.response.ResponseSet;
import com.fasterxml.jackson.core.type.TypeReference;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.Assert;

import java.io.File;
import java.io.IOException;
import java.nio.file.Paths;

import com.ceb.gjjs.mda.vo.DbaetgVO;

public class DbaetgServiceTest extends BaseTest{

    @Autowired
    private DbaetgService dbaetg;

    @Test
    public void initTest() throws IOException {
        DbaetgVO req = null;
        File file = Paths.get(testJsonDir, "dbaetg").resolve("init.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbaetgVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbaetgVO> response = dbaetg.init(req);
    }
    @Test
    public void checkAllTest() throws IOException {
        DbaetgVO req = null;
        File file = Paths.get(testJsonDir, "dbaetg").resolve("checkAll.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbaetgVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbaetgVO> response = dbaetg.checkAll(req);
    }
    @Test
    public void saveDataTest() throws IOException {
        DbaetgVO req = null;
        File file = Paths.get(testJsonDir, "dbaetg").resolve("saveData.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbaetgVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbaetgVO> response = dbaetg.saveData(req);
    }
    @Test
    public void pendingTest() throws IOException {
        DbaetgVO req = null;
        File file = Paths.get(testJsonDir, "dbaetg").resolve("pending.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbaetgVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbaetgVO> response = dbaetg.pending(req);
    }

    @Test
    public void executeDefault() {
        String rule = "";
        DbaetgVO req = new DbaetgVO();
        // 参数设置
        ResponseSet<DbaetgVO> response = dbaetg.executeDefault(req,rule);
    }

}
