package com.ceb.gjjs.mda.junitTest;

import com.brilliance.mda.runtime.response.ResponseSet;
import com.fasterxml.jackson.core.type.TypeReference;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.Assert;

import java.io.File;
import java.io.IOException;
import java.nio.file.Paths;

import com.ceb.gjjs.mda.vo.DbaetyVO;

public class DbaetyServiceTest extends BaseTest{

    @Autowired
    private DbaetyService dbaety;

    @Test
    public void initTest() throws IOException {
        DbaetyVO req = null;
        File file = Paths.get(testJsonDir, "dbaety").resolve("init.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbaetyVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbaetyVO> response = dbaety.init(req);
    }
    @Test
    public void checkAllTest() throws IOException {
        DbaetyVO req = null;
        File file = Paths.get(testJsonDir, "dbaety").resolve("checkAll.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbaetyVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbaetyVO> response = dbaety.checkAll(req);
    }
    @Test
    public void saveDataTest() throws IOException {
        DbaetyVO req = null;
        File file = Paths.get(testJsonDir, "dbaety").resolve("saveData.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbaetyVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbaetyVO> response = dbaety.saveData(req);
    }
    @Test
    public void pendingTest() throws IOException {
        DbaetyVO req = null;
        File file = Paths.get(testJsonDir, "dbaety").resolve("pending.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbaetyVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbaetyVO> response = dbaety.pending(req);
    }

    @Test
    public void executeDefault() {
        String rule = "";
        DbaetyVO req = new DbaetyVO();
        // 参数设置
        ResponseSet<DbaetyVO> response = dbaety.executeDefault(req,rule);
    }

}
