package com.ceb.gjjs.mda.junitTest;

import com.brilliance.mda.runtime.response.ResponseSet;
import com.fasterxml.jackson.core.type.TypeReference;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.Assert;

import java.io.File;
import java.io.IOException;
import java.nio.file.Paths;

import com.ceb.gjjs.mda.vo.DbajgxVO;

public class DbajgxServiceTest extends BaseTest{

    @Autowired
    private DbajgxService dbajgx;

    @Test
    public void initTest() throws IOException {
        DbajgxVO req = null;
        File file = Paths.get(testJsonDir, "dbajgx").resolve("init.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbajgxVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbajgxVO> response = dbajgx.init(req);
    }
    @Test
    public void checkAllTest() throws IOException {
        DbajgxVO req = null;
        File file = Paths.get(testJsonDir, "dbajgx").resolve("checkAll.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbajgxVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbajgxVO> response = dbajgx.checkAll(req);
    }
    @Test
    public void saveDataTest() throws IOException {
        DbajgxVO req = null;
        File file = Paths.get(testJsonDir, "dbajgx").resolve("saveData.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbajgxVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbajgxVO> response = dbajgx.saveData(req);
    }
    @Test
    public void pendingTest() throws IOException {
        DbajgxVO req = null;
        File file = Paths.get(testJsonDir, "dbajgx").resolve("pending.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbajgxVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbajgxVO> response = dbajgx.pending(req);
    }

    @Test
    public void executeDefault() {
        String rule = "";
        DbajgxVO req = new DbajgxVO();
        // 参数设置
        ResponseSet<DbajgxVO> response = dbajgx.executeDefault(req,rule);
    }

}
