package com.ceb.gjjs.mda.junitTest;

import com.brilliance.mda.runtime.response.ResponseSet;
import com.fasterxml.jackson.core.type.TypeReference;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.Assert;

import java.io.File;
import java.io.IOException;
import java.nio.file.Paths;

import com.ceb.gjjs.mda.vo.DbarolVO;

public class DbarolServiceTest extends BaseTest{

    @Autowired
    private DbarolService dbarol;

    @Test
    public void initTest() throws IOException {
        DbarolVO req = null;
        File file = Paths.get(testJsonDir, "dbarol").resolve("init.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbarolVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbarolVO> response = dbarol.init(req);
    }
    @Test
    public void checkAllTest() throws IOException {
        DbarolVO req = null;
        File file = Paths.get(testJsonDir, "dbarol").resolve("checkAll.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbarolVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbarolVO> response = dbarol.checkAll(req);
    }
    @Test
    public void saveDataTest() throws IOException {
        DbarolVO req = null;
        File file = Paths.get(testJsonDir, "dbarol").resolve("saveData.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbarolVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbarolVO> response = dbarol.saveData(req);
    }
    @Test
    public void pendingTest() throws IOException {
        DbarolVO req = null;
        File file = Paths.get(testJsonDir, "dbarol").resolve("pending.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbarolVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbarolVO> response = dbarol.pending(req);
    }

    @Test
    public void executeDefault() {
        String rule = "";
        DbarolVO req = new DbarolVO();
        // 参数设置
        ResponseSet<DbarolVO> response = dbarol.executeDefault(req,rule);
    }

}
