package com.ceb.gjjs.mda.junitTest;

import com.brilliance.mda.runtime.response.ResponseSet;
import com.fasterxml.jackson.core.type.TypeReference;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.Assert;

import java.io.File;
import java.io.IOException;
import java.nio.file.Paths;

import com.ceb.gjjs.mda.vo.DbdbrcVO;

public class DbdbrcServiceTest extends BaseTest{

    @Autowired
    private DbdbrcService dbdbrc;

    @Test
    public void initTest() throws IOException {
        DbdbrcVO req = null;
        File file = Paths.get(testJsonDir, "dbdbrc").resolve("init.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbdbrcVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbdbrcVO> response = dbdbrc.init(req);
    }
    @Test
    public void checkAllTest() throws IOException {
        DbdbrcVO req = null;
        File file = Paths.get(testJsonDir, "dbdbrc").resolve("checkAll.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbdbrcVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbdbrcVO> response = dbdbrc.checkAll(req);
    }
    @Test
    public void saveDataTest() throws IOException {
        DbdbrcVO req = null;
        File file = Paths.get(testJsonDir, "dbdbrc").resolve("saveData.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbdbrcVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbdbrcVO> response = dbdbrc.saveData(req);
    }
    @Test
    public void pendingTest() throws IOException {
        DbdbrcVO req = null;
        File file = Paths.get(testJsonDir, "dbdbrc").resolve("pending.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbdbrcVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbdbrcVO> response = dbdbrc.pending(req);
    }

    @Test
    public void executeDefault() {
        String rule = "";
        DbdbrcVO req = new DbdbrcVO();
        // 参数设置
        ResponseSet<DbdbrcVO> response = dbdbrc.executeDefault(req,rule);
    }

}
