package com.ceb.gjjs.mda.junitTest;

import com.brilliance.mda.runtime.response.ResponseSet;
import com.fasterxml.jackson.core.type.TypeReference;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.Assert;

import java.io.File;
import java.io.IOException;
import java.nio.file.Paths;

import com.ceb.gjjs.mda.vo.DbdetgVO;

public class DbdetgServiceTest extends BaseTest{

    @Autowired
    private DbdetgService dbdetg;

    @Test
    public void initTest() throws IOException {
        DbdetgVO req = null;
        File file = Paths.get(testJsonDir, "dbdetg").resolve("init.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbdetgVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbdetgVO> response = dbdetg.init(req);
    }
    @Test
    public void checkAllTest() throws IOException {
        DbdetgVO req = null;
        File file = Paths.get(testJsonDir, "dbdetg").resolve("checkAll.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbdetgVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbdetgVO> response = dbdetg.checkAll(req);
    }
    @Test
    public void saveDataTest() throws IOException {
        DbdetgVO req = null;
        File file = Paths.get(testJsonDir, "dbdetg").resolve("saveData.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbdetgVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbdetgVO> response = dbdetg.saveData(req);
    }
    @Test
    public void pendingTest() throws IOException {
        DbdetgVO req = null;
        File file = Paths.get(testJsonDir, "dbdetg").resolve("pending.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbdetgVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbdetgVO> response = dbdetg.pending(req);
    }

    @Test
    public void executeDefault() {
        String rule = "";
        DbdetgVO req = new DbdetgVO();
        // 参数设置
        ResponseSet<DbdetgVO> response = dbdetg.executeDefault(req,rule);
    }

}
