package com.ceb.gjjs.mda.junitTest;

import com.brilliance.mda.runtime.response.ResponseSet;
import com.fasterxml.jackson.core.type.TypeReference;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.Assert;

import java.io.File;
import java.io.IOException;
import java.nio.file.Paths;

import com.ceb.gjjs.mda.vo.DbdetyVO;

public class DbdetyServiceTest extends BaseTest{

    @Autowired
    private DbdetyService dbdety;

    @Test
    public void initTest() throws IOException {
        DbdetyVO req = null;
        File file = Paths.get(testJsonDir, "dbdety").resolve("init.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbdetyVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbdetyVO> response = dbdety.init(req);
    }
    @Test
    public void checkAllTest() throws IOException {
        DbdetyVO req = null;
        File file = Paths.get(testJsonDir, "dbdety").resolve("checkAll.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbdetyVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbdetyVO> response = dbdety.checkAll(req);
    }
    @Test
    public void saveDataTest() throws IOException {
        DbdetyVO req = null;
        File file = Paths.get(testJsonDir, "dbdety").resolve("saveData.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbdetyVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbdetyVO> response = dbdety.saveData(req);
    }
    @Test
    public void pendingTest() throws IOException {
        DbdetyVO req = null;
        File file = Paths.get(testJsonDir, "dbdety").resolve("pending.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbdetyVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbdetyVO> response = dbdety.pending(req);
    }

    @Test
    public void executeDefault() {
        String rule = "";
        DbdetyVO req = new DbdetyVO();
        // 参数设置
        ResponseSet<DbdetyVO> response = dbdety.executeDefault(req,rule);
    }

}
