package com.ceb.gjjs.mda.junitTest;

import com.brilliance.mda.runtime.response.ResponseSet;
import com.fasterxml.jackson.core.type.TypeReference;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.Assert;

import java.io.File;
import java.io.IOException;
import java.nio.file.Paths;

import com.ceb.gjjs.mda.vo.DbdjgxVO;

public class DbdjgxServiceTest extends BaseTest{

    @Autowired
    private DbdjgxService dbdjgx;

    @Test
    public void initTest() throws IOException {
        DbdjgxVO req = null;
        File file = Paths.get(testJsonDir, "dbdjgx").resolve("init.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbdjgxVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbdjgxVO> response = dbdjgx.init(req);
    }
    @Test
    public void checkAllTest() throws IOException {
        DbdjgxVO req = null;
        File file = Paths.get(testJsonDir, "dbdjgx").resolve("checkAll.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbdjgxVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbdjgxVO> response = dbdjgx.checkAll(req);
    }
    @Test
    public void saveDataTest() throws IOException {
        DbdjgxVO req = null;
        File file = Paths.get(testJsonDir, "dbdjgx").resolve("saveData.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbdjgxVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbdjgxVO> response = dbdjgx.saveData(req);
    }
    @Test
    public void pendingTest() throws IOException {
        DbdjgxVO req = null;
        File file = Paths.get(testJsonDir, "dbdjgx").resolve("pending.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbdjgxVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbdjgxVO> response = dbdjgx.pending(req);
    }

    @Test
    public void executeDefault() {
        String rule = "";
        DbdjgxVO req = new DbdjgxVO();
        // 参数设置
        ResponseSet<DbdjgxVO> response = dbdjgx.executeDefault(req,rule);
    }

}
