package com.ceb.gjjs.mda.junitTest;

import com.brilliance.mda.runtime.response.ResponseSet;
import com.fasterxml.jackson.core.type.TypeReference;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.Assert;

import java.io.File;
import java.io.IOException;
import java.nio.file.Paths;

import com.ceb.gjjs.mda.vo.DbdrolVO;

public class DbdrolServiceTest extends BaseTest{

    @Autowired
    private DbdrolService dbdrol;

    @Test
    public void initTest() throws IOException {
        DbdrolVO req = null;
        File file = Paths.get(testJsonDir, "dbdrol").resolve("init.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbdrolVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbdrolVO> response = dbdrol.init(req);
    }
    @Test
    public void checkAllTest() throws IOException {
        DbdrolVO req = null;
        File file = Paths.get(testJsonDir, "dbdrol").resolve("checkAll.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbdrolVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbdrolVO> response = dbdrol.checkAll(req);
    }
    @Test
    public void saveDataTest() throws IOException {
        DbdrolVO req = null;
        File file = Paths.get(testJsonDir, "dbdrol").resolve("saveData.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbdrolVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbdrolVO> response = dbdrol.saveData(req);
    }
    @Test
    public void pendingTest() throws IOException {
        DbdrolVO req = null;
        File file = Paths.get(testJsonDir, "dbdrol").resolve("pending.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbdrolVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbdrolVO> response = dbdrol.pending(req);
    }

    @Test
    public void executeDefault() {
        String rule = "";
        DbdrolVO req = new DbdrolVO();
        // 参数设置
        ResponseSet<DbdrolVO> response = dbdrol.executeDefault(req,rule);
    }

}
