package com.ceb.gjjs.mda.junitTest;

import com.brilliance.mda.runtime.response.ResponseSet;
import com.fasterxml.jackson.core.type.TypeReference;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.Assert;

import java.io.File;
import java.io.IOException;
import java.nio.file.Paths;

import com.ceb.gjjs.mda.vo.DbebrcVO;

public class DbebrcServiceTest extends BaseTest{

    @Autowired
    private DbebrcService dbebrc;

    @Test
    public void initTest() throws IOException {
        DbebrcVO req = null;
        File file = Paths.get(testJsonDir, "dbebrc").resolve("init.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbebrcVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbebrcVO> response = dbebrc.init(req);
    }
    @Test
    public void checkAllTest() throws IOException {
        DbebrcVO req = null;
        File file = Paths.get(testJsonDir, "dbebrc").resolve("checkAll.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbebrcVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbebrcVO> response = dbebrc.checkAll(req);
    }
    @Test
    public void saveDataTest() throws IOException {
        DbebrcVO req = null;
        File file = Paths.get(testJsonDir, "dbebrc").resolve("saveData.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbebrcVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbebrcVO> response = dbebrc.saveData(req);
    }
    @Test
    public void pendingTest() throws IOException {
        DbebrcVO req = null;
        File file = Paths.get(testJsonDir, "dbebrc").resolve("pending.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbebrcVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbebrcVO> response = dbebrc.pending(req);
    }

    @Test
    public void executeDefault() {
        String rule = "";
        DbebrcVO req = new DbebrcVO();
        // 参数设置
        ResponseSet<DbebrcVO> response = dbebrc.executeDefault(req,rule);
    }

}
