package com.ceb.gjjs.mda.junitTest;

import com.brilliance.mda.runtime.response.ResponseSet;
import com.fasterxml.jackson.core.type.TypeReference;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.Assert;

import java.io.File;
import java.io.IOException;
import java.nio.file.Paths;

import com.ceb.gjjs.mda.vo.DbeetgVO;

public class DbeetgServiceTest extends BaseTest{

    @Autowired
    private DbeetgService dbeetg;

    @Test
    public void initTest() throws IOException {
        DbeetgVO req = null;
        File file = Paths.get(testJsonDir, "dbeetg").resolve("init.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbeetgVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbeetgVO> response = dbeetg.init(req);
    }
    @Test
    public void checkAllTest() throws IOException {
        DbeetgVO req = null;
        File file = Paths.get(testJsonDir, "dbeetg").resolve("checkAll.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbeetgVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbeetgVO> response = dbeetg.checkAll(req);
    }
    @Test
    public void saveDataTest() throws IOException {
        DbeetgVO req = null;
        File file = Paths.get(testJsonDir, "dbeetg").resolve("saveData.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbeetgVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbeetgVO> response = dbeetg.saveData(req);
    }
    @Test
    public void pendingTest() throws IOException {
        DbeetgVO req = null;
        File file = Paths.get(testJsonDir, "dbeetg").resolve("pending.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbeetgVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbeetgVO> response = dbeetg.pending(req);
    }

    @Test
    public void executeDefault() {
        String rule = "";
        DbeetgVO req = new DbeetgVO();
        // 参数设置
        ResponseSet<DbeetgVO> response = dbeetg.executeDefault(req,rule);
    }

}
