package com.ceb.gjjs.mda.junitTest;

import com.brilliance.mda.runtime.response.ResponseSet;
import com.fasterxml.jackson.core.type.TypeReference;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.Assert;

import java.io.File;
import java.io.IOException;
import java.nio.file.Paths;

import com.ceb.gjjs.mda.vo.DbeetyVO;

public class DbeetyServiceTest extends BaseTest{

    @Autowired
    private DbeetyService dbeety;

    @Test
    public void initTest() throws IOException {
        DbeetyVO req = null;
        File file = Paths.get(testJsonDir, "dbeety").resolve("init.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbeetyVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbeetyVO> response = dbeety.init(req);
    }
    @Test
    public void checkAllTest() throws IOException {
        DbeetyVO req = null;
        File file = Paths.get(testJsonDir, "dbeety").resolve("checkAll.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbeetyVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbeetyVO> response = dbeety.checkAll(req);
    }
    @Test
    public void saveDataTest() throws IOException {
        DbeetyVO req = null;
        File file = Paths.get(testJsonDir, "dbeety").resolve("saveData.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbeetyVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbeetyVO> response = dbeety.saveData(req);
    }
    @Test
    public void pendingTest() throws IOException {
        DbeetyVO req = null;
        File file = Paths.get(testJsonDir, "dbeety").resolve("pending.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbeetyVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbeetyVO> response = dbeety.pending(req);
    }

    @Test
    public void executeDefault() {
        String rule = "";
        DbeetyVO req = new DbeetyVO();
        // 参数设置
        ResponseSet<DbeetyVO> response = dbeety.executeDefault(req,rule);
    }

}
