package com.ceb.gjjs.mda.junitTest;

import com.brilliance.mda.runtime.response.ResponseSet;
import com.fasterxml.jackson.core.type.TypeReference;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.Assert;

import java.io.File;
import java.io.IOException;
import java.nio.file.Paths;

import com.ceb.gjjs.mda.vo.DbefrrVO;

public class DbefrrServiceTest extends BaseTest{

    @Autowired
    private DbefrrService dbefrr;

    @Test
    public void initTest() throws IOException {
        DbefrrVO req = null;
        File file = Paths.get(testJsonDir, "dbefrr").resolve("init.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbefrrVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbefrrVO> response = dbefrr.init(req);
    }
    @Test
    public void checkAllTest() throws IOException {
        DbefrrVO req = null;
        File file = Paths.get(testJsonDir, "dbefrr").resolve("checkAll.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbefrrVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbefrrVO> response = dbefrr.checkAll(req);
    }
    @Test
    public void saveDataTest() throws IOException {
        DbefrrVO req = null;
        File file = Paths.get(testJsonDir, "dbefrr").resolve("saveData.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbefrrVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbefrrVO> response = dbefrr.saveData(req);
    }
    @Test
    public void pendingTest() throws IOException {
        DbefrrVO req = null;
        File file = Paths.get(testJsonDir, "dbefrr").resolve("pending.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbefrrVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbefrrVO> response = dbefrr.pending(req);
    }

    @Test
    public void executeDefault() {
        String rule = "";
        DbefrrVO req = new DbefrrVO();
        // 参数设置
        ResponseSet<DbefrrVO> response = dbefrr.executeDefault(req,rule);
    }

}
