package com.ceb.gjjs.mda.junitTest;

import com.brilliance.mda.runtime.response.ResponseSet;
import com.fasterxml.jackson.core.type.TypeReference;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.Assert;

import java.io.File;
import java.io.IOException;
import java.nio.file.Paths;

import com.ceb.gjjs.mda.vo.DbejgxVO;

public class DbejgxServiceTest extends BaseTest{

    @Autowired
    private DbejgxService dbejgx;

    @Test
    public void initTest() throws IOException {
        DbejgxVO req = null;
        File file = Paths.get(testJsonDir, "dbejgx").resolve("init.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbejgxVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbejgxVO> response = dbejgx.init(req);
    }
    @Test
    public void checkAllTest() throws IOException {
        DbejgxVO req = null;
        File file = Paths.get(testJsonDir, "dbejgx").resolve("checkAll.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbejgxVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbejgxVO> response = dbejgx.checkAll(req);
    }
    @Test
    public void saveDataTest() throws IOException {
        DbejgxVO req = null;
        File file = Paths.get(testJsonDir, "dbejgx").resolve("saveData.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbejgxVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbejgxVO> response = dbejgx.saveData(req);
    }
    @Test
    public void pendingTest() throws IOException {
        DbejgxVO req = null;
        File file = Paths.get(testJsonDir, "dbejgx").resolve("pending.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbejgxVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbejgxVO> response = dbejgx.pending(req);
    }

    @Test
    public void executeDefault() {
        String rule = "";
        DbejgxVO req = new DbejgxVO();
        // 参数设置
        ResponseSet<DbejgxVO> response = dbejgx.executeDefault(req,rule);
    }

}
