package com.ceb.gjjs.mda.junitTest;

import com.brilliance.mda.runtime.response.ResponseSet;
import com.fasterxml.jackson.core.type.TypeReference;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.Assert;

import java.io.File;
import java.io.IOException;
import java.nio.file.Paths;

import com.ceb.gjjs.mda.vo.DberolVO;

public class DberolServiceTest extends BaseTest{

    @Autowired
    private DberolService dberol;

    @Test
    public void initTest() throws IOException {
        DberolVO req = null;
        File file = Paths.get(testJsonDir, "dberol").resolve("init.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DberolVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DberolVO> response = dberol.init(req);
    }
    @Test
    public void checkAllTest() throws IOException {
        DberolVO req = null;
        File file = Paths.get(testJsonDir, "dberol").resolve("checkAll.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DberolVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DberolVO> response = dberol.checkAll(req);
    }
    @Test
    public void saveDataTest() throws IOException {
        DberolVO req = null;
        File file = Paths.get(testJsonDir, "dberol").resolve("saveData.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DberolVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DberolVO> response = dberol.saveData(req);
    }
    @Test
    public void pendingTest() throws IOException {
        DberolVO req = null;
        File file = Paths.get(testJsonDir, "dberol").resolve("pending.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DberolVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DberolVO> response = dberol.pending(req);
    }

    @Test
    public void executeDefault() {
        String rule = "";
        DberolVO req = new DberolVO();
        // 参数设置
        ResponseSet<DberolVO> response = dberol.executeDefault(req,rule);
    }

}
