package com.ceb.gjjs.mda.junitTest;

import com.brilliance.mda.runtime.response.ResponseSet;
import com.fasterxml.jackson.core.type.TypeReference;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.Assert;

import java.io.File;
import java.io.IOException;
import java.nio.file.Paths;

import com.ceb.gjjs.mda.vo.DbetelVO;

public class DbetelServiceTest extends BaseTest{

    @Autowired
    private DbetelService dbetel;

    @Test
    public void initTest() throws IOException {
        DbetelVO req = null;
        File file = Paths.get(testJsonDir, "dbetel").resolve("init.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbetelVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbetelVO> response = dbetel.init(req);
    }
    @Test
    public void checkAllTest() throws IOException {
        DbetelVO req = null;
        File file = Paths.get(testJsonDir, "dbetel").resolve("checkAll.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbetelVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbetelVO> response = dbetel.checkAll(req);
    }
    @Test
    public void saveDataTest() throws IOException {
        DbetelVO req = null;
        File file = Paths.get(testJsonDir, "dbetel").resolve("saveData.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbetelVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbetelVO> response = dbetel.saveData(req);
    }
    @Test
    public void pendingTest() throws IOException {
        DbetelVO req = null;
        File file = Paths.get(testJsonDir, "dbetel").resolve("pending.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbetelVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbetelVO> response = dbetel.pending(req);
    }

    @Test
    public void executeDefault() {
        String rule = "";
        DbetelVO req = new DbetelVO();
        // 参数设置
        ResponseSet<DbetelVO> response = dbetel.executeDefault(req,rule);
    }

}
