package com.ceb.gjjs.mda.junitTest;

import com.brilliance.mda.runtime.response.ResponseSet;
import com.fasterxml.jackson.core.type.TypeReference;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.Assert;

import java.io.File;
import java.io.IOException;
import java.nio.file.Paths;

import com.ceb.gjjs.mda.vo.DbibrcVO;

public class DbibrcServiceTest extends BaseTest{

    @Autowired
    private DbibrcService dbibrc;

    @Test
    public void initTest() throws IOException {
        DbibrcVO req = null;
        File file = Paths.get(testJsonDir, "dbibrc").resolve("init.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbibrcVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbibrcVO> response = dbibrc.init(req);
    }
    @Test
    public void checkAllTest() throws IOException {
        DbibrcVO req = null;
        File file = Paths.get(testJsonDir, "dbibrc").resolve("checkAll.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbibrcVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbibrcVO> response = dbibrc.checkAll(req);
    }
    @Test
    public void saveDataTest() throws IOException {
        DbibrcVO req = null;
        File file = Paths.get(testJsonDir, "dbibrc").resolve("saveData.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbibrcVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbibrcVO> response = dbibrc.saveData(req);
    }
    @Test
    public void pendingTest() throws IOException {
        DbibrcVO req = null;
        File file = Paths.get(testJsonDir, "dbibrc").resolve("pending.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbibrcVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbibrcVO> response = dbibrc.pending(req);
    }

    @Test
    public void executeDefault() {
        String rule = "";
        DbibrcVO req = new DbibrcVO();
        // 参数设置
        ResponseSet<DbibrcVO> response = dbibrc.executeDefault(req,rule);
    }

}
