package com.ceb.gjjs.mda.junitTest;

import com.brilliance.mda.runtime.response.ResponseSet;
import com.fasterxml.jackson.core.type.TypeReference;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.Assert;

import java.io.File;
import java.io.IOException;
import java.nio.file.Paths;

import com.ceb.gjjs.mda.vo.DbifrrVO;

public class DbifrrServiceTest extends BaseTest{

    @Autowired
    private DbifrrService dbifrr;

    @Test
    public void initTest() throws IOException {
        DbifrrVO req = null;
        File file = Paths.get(testJsonDir, "dbifrr").resolve("init.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbifrrVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbifrrVO> response = dbifrr.init(req);
    }
    @Test
    public void checkAllTest() throws IOException {
        DbifrrVO req = null;
        File file = Paths.get(testJsonDir, "dbifrr").resolve("checkAll.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbifrrVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbifrrVO> response = dbifrr.checkAll(req);
    }
    @Test
    public void saveDataTest() throws IOException {
        DbifrrVO req = null;
        File file = Paths.get(testJsonDir, "dbifrr").resolve("saveData.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbifrrVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbifrrVO> response = dbifrr.saveData(req);
    }
    @Test
    public void pendingTest() throws IOException {
        DbifrrVO req = null;
        File file = Paths.get(testJsonDir, "dbifrr").resolve("pending.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbifrrVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbifrrVO> response = dbifrr.pending(req);
    }

    @Test
    public void executeDefault() {
        String rule = "";
        DbifrrVO req = new DbifrrVO();
        // 参数设置
        ResponseSet<DbifrrVO> response = dbifrr.executeDefault(req,rule);
    }

}
