package com.ceb.gjjs.mda.junitTest;

import com.brilliance.mda.runtime.response.ResponseSet;
import com.fasterxml.jackson.core.type.TypeReference;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.Assert;

import java.io.File;
import java.io.IOException;
import java.nio.file.Paths;

import com.ceb.gjjs.mda.vo.DbijgxVO;

public class DbijgxServiceTest extends BaseTest{

    @Autowired
    private DbijgxService dbijgx;

    @Test
    public void initTest() throws IOException {
        DbijgxVO req = null;
        File file = Paths.get(testJsonDir, "dbijgx").resolve("init.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbijgxVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbijgxVO> response = dbijgx.init(req);
    }
    @Test
    public void checkAllTest() throws IOException {
        DbijgxVO req = null;
        File file = Paths.get(testJsonDir, "dbijgx").resolve("checkAll.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbijgxVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbijgxVO> response = dbijgx.checkAll(req);
    }
    @Test
    public void saveDataTest() throws IOException {
        DbijgxVO req = null;
        File file = Paths.get(testJsonDir, "dbijgx").resolve("saveData.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbijgxVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbijgxVO> response = dbijgx.saveData(req);
    }
    @Test
    public void pendingTest() throws IOException {
        DbijgxVO req = null;
        File file = Paths.get(testJsonDir, "dbijgx").resolve("pending.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbijgxVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbijgxVO> response = dbijgx.pending(req);
    }

    @Test
    public void executeDefault() {
        String rule = "";
        DbijgxVO req = new DbijgxVO();
        // 参数设置
        ResponseSet<DbijgxVO> response = dbijgx.executeDefault(req,rule);
    }

}
