package com.ceb.gjjs.mda.junitTest;

import com.brilliance.mda.runtime.response.ResponseSet;
import com.fasterxml.jackson.core.type.TypeReference;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.Assert;

import java.io.File;
import java.io.IOException;
import java.nio.file.Paths;

import com.ceb.gjjs.mda.vo.DbirolVO;

public class DbirolServiceTest extends BaseTest{

    @Autowired
    private DbirolService dbirol;

    @Test
    public void initTest() throws IOException {
        DbirolVO req = null;
        File file = Paths.get(testJsonDir, "dbirol").resolve("init.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbirolVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbirolVO> response = dbirol.init(req);
    }
    @Test
    public void checkAllTest() throws IOException {
        DbirolVO req = null;
        File file = Paths.get(testJsonDir, "dbirol").resolve("checkAll.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbirolVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbirolVO> response = dbirol.checkAll(req);
    }
    @Test
    public void saveDataTest() throws IOException {
        DbirolVO req = null;
        File file = Paths.get(testJsonDir, "dbirol").resolve("saveData.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbirolVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbirolVO> response = dbirol.saveData(req);
    }
    @Test
    public void pendingTest() throws IOException {
        DbirolVO req = null;
        File file = Paths.get(testJsonDir, "dbirol").resolve("pending.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbirolVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbirolVO> response = dbirol.pending(req);
    }

    @Test
    public void executeDefault() {
        String rule = "";
        DbirolVO req = new DbirolVO();
        // 参数设置
        ResponseSet<DbirolVO> response = dbirol.executeDefault(req,rule);
    }

}
