package com.ceb.gjjs.mda.junitTest;

import com.brilliance.mda.runtime.response.ResponseSet;
import com.fasterxml.jackson.core.type.TypeReference;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.Assert;

import java.io.File;
import java.io.IOException;
import java.nio.file.Paths;

import com.ceb.gjjs.mda.vo.DbisrlVO;

public class DbisrlServiceTest extends BaseTest{

    @Autowired
    private DbisrlService dbisrl;

    @Test
    public void initTest() throws IOException {
        DbisrlVO req = null;
        File file = Paths.get(testJsonDir, "dbisrl").resolve("init.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbisrlVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbisrlVO> response = dbisrl.init(req);
    }
    @Test
    public void checkAllTest() throws IOException {
        DbisrlVO req = null;
        File file = Paths.get(testJsonDir, "dbisrl").resolve("checkAll.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbisrlVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbisrlVO> response = dbisrl.checkAll(req);
    }
    @Test
    public void saveDataTest() throws IOException {
        DbisrlVO req = null;
        File file = Paths.get(testJsonDir, "dbisrl").resolve("saveData.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbisrlVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbisrlVO> response = dbisrl.saveData(req);
    }
    @Test
    public void pendingTest() throws IOException {
        DbisrlVO req = null;
        File file = Paths.get(testJsonDir, "dbisrl").resolve("pending.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbisrlVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbisrlVO> response = dbisrl.pending(req);
    }

    @Test
    public void executeDefault() {
        String rule = "";
        DbisrlVO req = new DbisrlVO();
        // 参数设置
        ResponseSet<DbisrlVO> response = dbisrl.executeDefault(req,rule);
    }

}
