package com.ceb.gjjs.mda.junitTest;

import com.brilliance.mda.runtime.response.ResponseSet;
import com.fasterxml.jackson.core.type.TypeReference;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.Assert;

import java.io.File;
import java.io.IOException;
import java.nio.file.Paths;

import com.ceb.gjjs.mda.vo.DbitelVO;

public class DbitelServiceTest extends BaseTest{

    @Autowired
    private DbitelService dbitel;

    @Test
    public void initTest() throws IOException {
        DbitelVO req = null;
        File file = Paths.get(testJsonDir, "dbitel").resolve("init.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbitelVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbitelVO> response = dbitel.init(req);
    }
    @Test
    public void checkAllTest() throws IOException {
        DbitelVO req = null;
        File file = Paths.get(testJsonDir, "dbitel").resolve("checkAll.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbitelVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbitelVO> response = dbitel.checkAll(req);
    }
    @Test
    public void saveDataTest() throws IOException {
        DbitelVO req = null;
        File file = Paths.get(testJsonDir, "dbitel").resolve("saveData.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbitelVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbitelVO> response = dbitel.saveData(req);
    }
    @Test
    public void pendingTest() throws IOException {
        DbitelVO req = null;
        File file = Paths.get(testJsonDir, "dbitel").resolve("pending.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbitelVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbitelVO> response = dbitel.pending(req);
    }

    @Test
    public void executeDefault() {
        String rule = "";
        DbitelVO req = new DbitelVO();
        // 参数设置
        ResponseSet<DbitelVO> response = dbitel.executeDefault(req,rule);
    }

}
