package com.ceb.gjjs.mda.junitTest;

import com.brilliance.mda.runtime.response.ResponseSet;
import com.fasterxml.jackson.core.type.TypeReference;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.Assert;

import java.io.File;
import java.io.IOException;
import java.nio.file.Paths;

import com.ceb.gjjs.mda.vo.DblbrcVO;

public class DblbrcServiceTest extends BaseTest{

    @Autowired
    private DblbrcService dblbrc;

    @Test
    public void initTest() throws IOException {
        DblbrcVO req = null;
        File file = Paths.get(testJsonDir, "dblbrc").resolve("init.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DblbrcVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DblbrcVO> response = dblbrc.init(req);
    }
    @Test
    public void checkAllTest() throws IOException {
        DblbrcVO req = null;
        File file = Paths.get(testJsonDir, "dblbrc").resolve("checkAll.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DblbrcVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DblbrcVO> response = dblbrc.checkAll(req);
    }
    @Test
    public void saveDataTest() throws IOException {
        DblbrcVO req = null;
        File file = Paths.get(testJsonDir, "dblbrc").resolve("saveData.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DblbrcVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DblbrcVO> response = dblbrc.saveData(req);
    }
    @Test
    public void pendingTest() throws IOException {
        DblbrcVO req = null;
        File file = Paths.get(testJsonDir, "dblbrc").resolve("pending.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DblbrcVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DblbrcVO> response = dblbrc.pending(req);
    }

    @Test
    public void executeDefault() {
        String rule = "";
        DblbrcVO req = new DblbrcVO();
        // 参数设置
        ResponseSet<DblbrcVO> response = dblbrc.executeDefault(req,rule);
    }

}
