package com.ceb.gjjs.mda.junitTest;

import com.brilliance.mda.runtime.response.ResponseSet;
import com.fasterxml.jackson.core.type.TypeReference;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.Assert;

import java.io.File;
import java.io.IOException;
import java.nio.file.Paths;

import com.ceb.gjjs.mda.vo.DbletgVO;

public class DbletgServiceTest extends BaseTest{

    @Autowired
    private DbletgService dbletg;

    @Test
    public void initTest() throws IOException {
        DbletgVO req = null;
        File file = Paths.get(testJsonDir, "dbletg").resolve("init.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbletgVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbletgVO> response = dbletg.init(req);
    }
    @Test
    public void checkAllTest() throws IOException {
        DbletgVO req = null;
        File file = Paths.get(testJsonDir, "dbletg").resolve("checkAll.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbletgVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbletgVO> response = dbletg.checkAll(req);
    }
    @Test
    public void saveDataTest() throws IOException {
        DbletgVO req = null;
        File file = Paths.get(testJsonDir, "dbletg").resolve("saveData.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbletgVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbletgVO> response = dbletg.saveData(req);
    }
    @Test
    public void pendingTest() throws IOException {
        DbletgVO req = null;
        File file = Paths.get(testJsonDir, "dbletg").resolve("pending.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbletgVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbletgVO> response = dbletg.pending(req);
    }

    @Test
    public void executeDefault() {
        String rule = "";
        DbletgVO req = new DbletgVO();
        // 参数设置
        ResponseSet<DbletgVO> response = dbletg.executeDefault(req,rule);
    }

}
