package com.ceb.gjjs.mda.junitTest;

import com.brilliance.mda.runtime.response.ResponseSet;
import com.fasterxml.jackson.core.type.TypeReference;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.Assert;

import java.io.File;
import java.io.IOException;
import java.nio.file.Paths;

import com.ceb.gjjs.mda.vo.DbletyVO;

public class DbletyServiceTest extends BaseTest{

    @Autowired
    private DbletyService dblety;

    @Test
    public void initTest() throws IOException {
        DbletyVO req = null;
        File file = Paths.get(testJsonDir, "dblety").resolve("init.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbletyVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbletyVO> response = dblety.init(req);
    }
    @Test
    public void checkAllTest() throws IOException {
        DbletyVO req = null;
        File file = Paths.get(testJsonDir, "dblety").resolve("checkAll.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbletyVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbletyVO> response = dblety.checkAll(req);
    }
    @Test
    public void saveDataTest() throws IOException {
        DbletyVO req = null;
        File file = Paths.get(testJsonDir, "dblety").resolve("saveData.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbletyVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbletyVO> response = dblety.saveData(req);
    }
    @Test
    public void pendingTest() throws IOException {
        DbletyVO req = null;
        File file = Paths.get(testJsonDir, "dblety").resolve("pending.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbletyVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbletyVO> response = dblety.pending(req);
    }

    @Test
    public void executeDefault() {
        String rule = "";
        DbletyVO req = new DbletyVO();
        // 参数设置
        ResponseSet<DbletyVO> response = dblety.executeDefault(req,rule);
    }

}
