package com.ceb.gjjs.mda.junitTest;

import com.brilliance.mda.runtime.response.ResponseSet;
import com.fasterxml.jackson.core.type.TypeReference;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.Assert;

import java.io.File;
import java.io.IOException;
import java.nio.file.Paths;

import com.ceb.gjjs.mda.vo.DbljgxVO;

public class DbljgxServiceTest extends BaseTest{

    @Autowired
    private DbljgxService dbljgx;

    @Test
    public void initTest() throws IOException {
        DbljgxVO req = null;
        File file = Paths.get(testJsonDir, "dbljgx").resolve("init.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbljgxVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbljgxVO> response = dbljgx.init(req);
    }
    @Test
    public void checkAllTest() throws IOException {
        DbljgxVO req = null;
        File file = Paths.get(testJsonDir, "dbljgx").resolve("checkAll.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbljgxVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbljgxVO> response = dbljgx.checkAll(req);
    }
    @Test
    public void saveDataTest() throws IOException {
        DbljgxVO req = null;
        File file = Paths.get(testJsonDir, "dbljgx").resolve("saveData.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbljgxVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbljgxVO> response = dbljgx.saveData(req);
    }
    @Test
    public void pendingTest() throws IOException {
        DbljgxVO req = null;
        File file = Paths.get(testJsonDir, "dbljgx").resolve("pending.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbljgxVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbljgxVO> response = dbljgx.pending(req);
    }

    @Test
    public void executeDefault() {
        String rule = "";
        DbljgxVO req = new DbljgxVO();
        // 参数设置
        ResponseSet<DbljgxVO> response = dbljgx.executeDefault(req,rule);
    }

}
