package com.ceb.gjjs.mda.junitTest;

import com.brilliance.mda.runtime.response.ResponseSet;
import com.fasterxml.jackson.core.type.TypeReference;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.Assert;

import java.io.File;
import java.io.IOException;
import java.nio.file.Paths;

import com.ceb.gjjs.mda.vo.DblrolVO;

public class DblrolServiceTest extends BaseTest{

    @Autowired
    private DblrolService dblrol;

    @Test
    public void initTest() throws IOException {
        DblrolVO req = null;
        File file = Paths.get(testJsonDir, "dblrol").resolve("init.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DblrolVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DblrolVO> response = dblrol.init(req);
    }
    @Test
    public void checkAllTest() throws IOException {
        DblrolVO req = null;
        File file = Paths.get(testJsonDir, "dblrol").resolve("checkAll.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DblrolVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DblrolVO> response = dblrol.checkAll(req);
    }
    @Test
    public void saveDataTest() throws IOException {
        DblrolVO req = null;
        File file = Paths.get(testJsonDir, "dblrol").resolve("saveData.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DblrolVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DblrolVO> response = dblrol.saveData(req);
    }
    @Test
    public void pendingTest() throws IOException {
        DblrolVO req = null;
        File file = Paths.get(testJsonDir, "dblrol").resolve("pending.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DblrolVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DblrolVO> response = dblrol.pending(req);
    }

    @Test
    public void executeDefault() {
        String rule = "";
        DblrolVO req = new DblrolVO();
        // 参数设置
        ResponseSet<DblrolVO> response = dblrol.executeDefault(req,rule);
    }

}
