package com.ceb.gjjs.mda.junitTest;

import com.brilliance.mda.runtime.response.ResponseSet;
import com.fasterxml.jackson.core.type.TypeReference;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.Assert;

import java.io.File;
import java.io.IOException;
import java.nio.file.Paths;

import com.ceb.gjjs.mda.vo.DblsrlVO;

public class DblsrlServiceTest extends BaseTest{

    @Autowired
    private DblsrlService dblsrl;

    @Test
    public void initTest() throws IOException {
        DblsrlVO req = null;
        File file = Paths.get(testJsonDir, "dblsrl").resolve("init.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DblsrlVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DblsrlVO> response = dblsrl.init(req);
    }
    @Test
    public void checkAllTest() throws IOException {
        DblsrlVO req = null;
        File file = Paths.get(testJsonDir, "dblsrl").resolve("checkAll.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DblsrlVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DblsrlVO> response = dblsrl.checkAll(req);
    }
    @Test
    public void saveDataTest() throws IOException {
        DblsrlVO req = null;
        File file = Paths.get(testJsonDir, "dblsrl").resolve("saveData.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DblsrlVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DblsrlVO> response = dblsrl.saveData(req);
    }
    @Test
    public void pendingTest() throws IOException {
        DblsrlVO req = null;
        File file = Paths.get(testJsonDir, "dblsrl").resolve("pending.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DblsrlVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DblsrlVO> response = dblsrl.pending(req);
    }

    @Test
    public void executeDefault() {
        String rule = "";
        DblsrlVO req = new DblsrlVO();
        // 参数设置
        ResponseSet<DblsrlVO> response = dblsrl.executeDefault(req,rule);
    }

}
