package com.ceb.gjjs.mda.junitTest;

import com.brilliance.mda.runtime.response.ResponseSet;
import com.fasterxml.jackson.core.type.TypeReference;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.Assert;

import java.io.File;
import java.io.IOException;
import java.nio.file.Paths;

import com.ceb.gjjs.mda.vo.DbltelVO;

public class DbltelServiceTest extends BaseTest{

    @Autowired
    private DbltelService dbltel;

    @Test
    public void initTest() throws IOException {
        DbltelVO req = null;
        File file = Paths.get(testJsonDir, "dbltel").resolve("init.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbltelVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbltelVO> response = dbltel.init(req);
    }
    @Test
    public void checkAllTest() throws IOException {
        DbltelVO req = null;
        File file = Paths.get(testJsonDir, "dbltel").resolve("checkAll.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbltelVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbltelVO> response = dbltel.checkAll(req);
    }
    @Test
    public void saveDataTest() throws IOException {
        DbltelVO req = null;
        File file = Paths.get(testJsonDir, "dbltel").resolve("saveData.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbltelVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbltelVO> response = dbltel.saveData(req);
    }
    @Test
    public void pendingTest() throws IOException {
        DbltelVO req = null;
        File file = Paths.get(testJsonDir, "dbltel").resolve("pending.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbltelVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbltelVO> response = dbltel.pending(req);
    }

    @Test
    public void executeDefault() {
        String rule = "";
        DbltelVO req = new DbltelVO();
        // 参数设置
        ResponseSet<DbltelVO> response = dbltel.executeDefault(req,rule);
    }

}
