package com.ceb.gjjs.mda.junitTest;

import com.brilliance.mda.runtime.response.ResponseSet;
import com.fasterxml.jackson.core.type.TypeReference;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.Assert;

import java.io.File;
import java.io.IOException;
import java.nio.file.Paths;

import com.ceb.gjjs.mda.vo.DbpusrVO;

public class DbpusrServiceTest extends BaseTest{

    @Autowired
    private DbpusrService dbpusr;

    @Test
    public void initTest() throws IOException {
        DbpusrVO req = null;
        File file = Paths.get(testJsonDir, "dbpusr").resolve("init.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbpusrVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbpusrVO> response = dbpusr.init(req);
    }
    @Test
    public void checkAllTest() throws IOException {
        DbpusrVO req = null;
        File file = Paths.get(testJsonDir, "dbpusr").resolve("checkAll.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbpusrVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbpusrVO> response = dbpusr.checkAll(req);
    }
    @Test
    public void saveDataTest() throws IOException {
        DbpusrVO req = null;
        File file = Paths.get(testJsonDir, "dbpusr").resolve("saveData.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbpusrVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbpusrVO> response = dbpusr.saveData(req);
    }
    @Test
    public void pendingTest() throws IOException {
        DbpusrVO req = null;
        File file = Paths.get(testJsonDir, "dbpusr").resolve("pending.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<DbpusrVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<DbpusrVO> response = dbpusr.pending(req);
    }

    @Test
    public void executeDefault() {
        String rule = "";
        DbpusrVO req = new DbpusrVO();
        // 参数设置
        ResponseSet<DbpusrVO> response = dbpusr.executeDefault(req,rule);
    }

}
