package com.ceb.gjjs.mda.junitTest;

import com.brilliance.mda.runtime.response.ResponseSet;
import com.fasterxml.jackson.core.type.TypeReference;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.Assert;

import java.io.File;
import java.io.IOException;
import java.nio.file.Paths;

import com.ceb.gjjs.mda.vo.FmtdtlVO;

public class FmtdtlServiceTest extends BaseTest{

    @Autowired
    private FmtdtlService fmtdtl;

    @Test
    public void initTest() throws IOException {
        FmtdtlVO req = null;
        File file = Paths.get(testJsonDir, "fmtdtl").resolve("init.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<FmtdtlVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<FmtdtlVO> response = fmtdtl.init(req);
    }
    @Test
    public void checkAllTest() throws IOException {
        FmtdtlVO req = null;
        File file = Paths.get(testJsonDir, "fmtdtl").resolve("checkAll.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<FmtdtlVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<FmtdtlVO> response = fmtdtl.checkAll(req);
    }
    @Test
    public void saveDataTest() throws IOException {
        FmtdtlVO req = null;
        File file = Paths.get(testJsonDir, "fmtdtl").resolve("saveData.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<FmtdtlVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<FmtdtlVO> response = fmtdtl.saveData(req);
    }
    @Test
    public void pendingTest() throws IOException {
        FmtdtlVO req = null;
        File file = Paths.get(testJsonDir, "fmtdtl").resolve("pending.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<FmtdtlVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<FmtdtlVO> response = fmtdtl.pending(req);
    }

    @Test
    public void executeDefault() {
        String rule = "";
        FmtdtlVO req = new FmtdtlVO();
        // 参数设置
        ResponseSet<FmtdtlVO> response = fmtdtl.executeDefault(req,rule);
    }

}
