package com.ceb.gjjs.mda.junitTest;

import com.brilliance.mda.runtime.response.ResponseSet;
import com.fasterxml.jackson.core.type.TypeReference;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.Assert;

import java.io.File;
import java.io.IOException;
import java.nio.file.Paths;

import com.ceb.gjjs.mda.vo.FmtselVO;

public class FmtselServiceTest extends BaseTest{

    @Autowired
    private FmtselService fmtsel;

    @Test
    public void initTest() throws IOException {
        FmtselVO req = null;
        File file = Paths.get(testJsonDir, "fmtsel").resolve("init.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<FmtselVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<FmtselVO> response = fmtsel.init(req);
    }
    @Test
    public void checkAllTest() throws IOException {
        FmtselVO req = null;
        File file = Paths.get(testJsonDir, "fmtsel").resolve("checkAll.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<FmtselVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<FmtselVO> response = fmtsel.checkAll(req);
    }
    @Test
    public void saveDataTest() throws IOException {
        FmtselVO req = null;
        File file = Paths.get(testJsonDir, "fmtsel").resolve("saveData.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<FmtselVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<FmtselVO> response = fmtsel.saveData(req);
    }
    @Test
    public void pendingTest() throws IOException {
        FmtselVO req = null;
        File file = Paths.get(testJsonDir, "fmtsel").resolve("pending.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<FmtselVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<FmtselVO> response = fmtsel.pending(req);
    }

    @Test
    public void executeDefault() {
        String rule = "";
        FmtselVO req = new FmtselVO();
        // 参数设置
        ResponseSet<FmtselVO> response = fmtsel.executeDefault(req,rule);
    }

}
