package com.ceb.gjjs.mda.junitTest;

import com.brilliance.mda.runtime.response.ResponseSet;
import com.fasterxml.jackson.core.type.TypeReference;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.Assert;

import java.io.File;
import java.io.IOException;
import java.nio.file.Paths;

import com.ceb.gjjs.mda.vo.MsgdtlVO;

public class MsgdtlServiceTest extends BaseTest{

    @Autowired
    private MsgdtlService msgdtl;

    @Test
    public void initTest() throws IOException {
        MsgdtlVO req = null;
        File file = Paths.get(testJsonDir, "msgdtl").resolve("init.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<MsgdtlVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<MsgdtlVO> response = msgdtl.init(req);
    }
    @Test
    public void checkAllTest() throws IOException {
        MsgdtlVO req = null;
        File file = Paths.get(testJsonDir, "msgdtl").resolve("checkAll.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<MsgdtlVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<MsgdtlVO> response = msgdtl.checkAll(req);
    }
    @Test
    public void saveDataTest() throws IOException {
        MsgdtlVO req = null;
        File file = Paths.get(testJsonDir, "msgdtl").resolve("saveData.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<MsgdtlVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<MsgdtlVO> response = msgdtl.saveData(req);
    }
    @Test
    public void pendingTest() throws IOException {
        MsgdtlVO req = null;
        File file = Paths.get(testJsonDir, "msgdtl").resolve("pending.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<MsgdtlVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<MsgdtlVO> response = msgdtl.pending(req);
    }

    @Test
    public void executeDefault() {
        String rule = "";
        MsgdtlVO req = new MsgdtlVO();
        // 参数设置
        ResponseSet<MsgdtlVO> response = msgdtl.executeDefault(req,rule);
    }

}
