package com.ceb.gjjs.mda.junitTest;

import com.brilliance.mda.runtime.response.ResponseSet;
import com.fasterxml.jackson.core.type.TypeReference;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.Assert;

import java.io.File;
import java.io.IOException;
import java.nio.file.Paths;

import com.ceb.gjjs.mda.vo.OfficeVO;

public class OfficeServiceTest extends BaseTest{

    @Autowired
    private OfficeService office;

    @Test
    public void initTest() throws IOException {
        OfficeVO req = null;
        File file = Paths.get(testJsonDir, "office").resolve("init.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<OfficeVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<OfficeVO> response = office.init(req);
    }
    @Test
    public void checkAllTest() throws IOException {
        OfficeVO req = null;
        File file = Paths.get(testJsonDir, "office").resolve("checkAll.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<OfficeVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<OfficeVO> response = office.checkAll(req);
    }
    @Test
    public void saveDataTest() throws IOException {
        OfficeVO req = null;
        File file = Paths.get(testJsonDir, "office").resolve("saveData.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<OfficeVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<OfficeVO> response = office.saveData(req);
    }
    @Test
    public void pendingTest() throws IOException {
        OfficeVO req = null;
        File file = Paths.get(testJsonDir, "office").resolve("pending.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<OfficeVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<OfficeVO> response = office.pending(req);
    }

    @Test
    public void executeDefault() {
        String rule = "";
        OfficeVO req = new OfficeVO();
        // 参数设置
        ResponseSet<OfficeVO> response = office.executeDefault(req,rule);
    }

}
