package com.ceb.gjjs.mda.junitTest;

import com.brilliance.mda.runtime.response.ResponseSet;
import com.fasterxml.jackson.core.type.TypeReference;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.Assert;

import java.io.File;
import java.io.IOException;
import java.nio.file.Paths;

import com.ceb.gjjs.mda.vo.PbtaddVO;

public class PbtaddServiceTest extends BaseTest{

    @Autowired
    private PbtaddService pbtadd;

    @Test
    public void initTest() throws IOException {
        PbtaddVO req = null;
        File file = Paths.get(testJsonDir, "pbtadd").resolve("init.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<PbtaddVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<PbtaddVO> response = pbtadd.init(req);
    }
    @Test
    public void checkAllTest() throws IOException {
        PbtaddVO req = null;
        File file = Paths.get(testJsonDir, "pbtadd").resolve("checkAll.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<PbtaddVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<PbtaddVO> response = pbtadd.checkAll(req);
    }
    @Test
    public void saveDataTest() throws IOException {
        PbtaddVO req = null;
        File file = Paths.get(testJsonDir, "pbtadd").resolve("saveData.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<PbtaddVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<PbtaddVO> response = pbtadd.saveData(req);
    }
    @Test
    public void pendingTest() throws IOException {
        PbtaddVO req = null;
        File file = Paths.get(testJsonDir, "pbtadd").resolve("pending.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<PbtaddVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<PbtaddVO> response = pbtadd.pending(req);
    }

    @Test
    public void executeDefault() {
        String rule = "";
        PbtaddVO req = new PbtaddVO();
        // 参数设置
        ResponseSet<PbtaddVO> response = pbtadd.executeDefault(req,rule);
    }

}
