package com.ceb.gjjs.mda.junitTest;

import com.brilliance.mda.runtime.response.ResponseSet;
import com.fasterxml.jackson.core.type.TypeReference;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.Assert;

import java.io.File;
import java.io.IOException;
import java.nio.file.Paths;

import com.ceb.gjjs.mda.vo.PbtameVO;

public class PbtameServiceTest extends BaseTest{

    @Autowired
    private PbtameService pbtame;

    @Test
    public void initTest() throws IOException {
        PbtameVO req = null;
        File file = Paths.get(testJsonDir, "pbtame").resolve("init.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<PbtameVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<PbtameVO> response = pbtame.init(req);
    }
    @Test
    public void checkAllTest() throws IOException {
        PbtameVO req = null;
        File file = Paths.get(testJsonDir, "pbtame").resolve("checkAll.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<PbtameVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<PbtameVO> response = pbtame.checkAll(req);
    }
    @Test
    public void saveDataTest() throws IOException {
        PbtameVO req = null;
        File file = Paths.get(testJsonDir, "pbtame").resolve("saveData.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<PbtameVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<PbtameVO> response = pbtame.saveData(req);
    }
    @Test
    public void pendingTest() throws IOException {
        PbtameVO req = null;
        File file = Paths.get(testJsonDir, "pbtame").resolve("pending.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<PbtameVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<PbtameVO> response = pbtame.pending(req);
    }

    @Test
    public void executeDefault() {
        String rule = "";
        PbtameVO req = new PbtameVO();
        // 参数设置
        ResponseSet<PbtameVO> response = pbtame.executeDefault(req,rule);
    }

}
