package com.ceb.gjjs.mda.junitTest;

import com.brilliance.mda.runtime.response.ResponseSet;
import com.fasterxml.jackson.core.type.TypeReference;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.Assert;

import java.io.File;
import java.io.IOException;
import java.nio.file.Paths;

import com.ceb.gjjs.mda.vo.PbtdtlVO;

public class PbtdtlServiceTest extends BaseTest{

    @Autowired
    private PbtdtlService pbtdtl;

    @Test
    public void initTest() throws IOException {
        PbtdtlVO req = null;
        File file = Paths.get(testJsonDir, "pbtdtl").resolve("init.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<PbtdtlVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<PbtdtlVO> response = pbtdtl.init(req);
    }
    @Test
    public void checkAllTest() throws IOException {
        PbtdtlVO req = null;
        File file = Paths.get(testJsonDir, "pbtdtl").resolve("checkAll.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<PbtdtlVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<PbtdtlVO> response = pbtdtl.checkAll(req);
    }
    @Test
    public void saveDataTest() throws IOException {
        PbtdtlVO req = null;
        File file = Paths.get(testJsonDir, "pbtdtl").resolve("saveData.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<PbtdtlVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<PbtdtlVO> response = pbtdtl.saveData(req);
    }
    @Test
    public void pendingTest() throws IOException {
        PbtdtlVO req = null;
        File file = Paths.get(testJsonDir, "pbtdtl").resolve("pending.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<PbtdtlVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<PbtdtlVO> response = pbtdtl.pending(req);
    }

    @Test
    public void executeDefault() {
        String rule = "";
        PbtdtlVO req = new PbtdtlVO();
        // 参数设置
        ResponseSet<PbtdtlVO> response = pbtdtl.executeDefault(req,rule);
    }

}
