package com.ceb.gjjs.mda.junitTest;

import com.brilliance.mda.runtime.response.ResponseSet;
import com.fasterxml.jackson.core.type.TypeReference;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.Assert;

import java.io.File;
import java.io.IOException;
import java.nio.file.Paths;

import com.ceb.gjjs.mda.vo.PbtselVO;

public class PbtselServiceTest extends BaseTest{

    @Autowired
    private PbtselService pbtsel;

    @Test
    public void initTest() throws IOException {
        PbtselVO req = null;
        File file = Paths.get(testJsonDir, "pbtsel").resolve("init.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<PbtselVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<PbtselVO> response = pbtsel.init(req);
    }
    @Test
    public void checkAllTest() throws IOException {
        PbtselVO req = null;
        File file = Paths.get(testJsonDir, "pbtsel").resolve("checkAll.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<PbtselVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<PbtselVO> response = pbtsel.checkAll(req);
    }
    @Test
    public void saveDataTest() throws IOException {
        PbtselVO req = null;
        File file = Paths.get(testJsonDir, "pbtsel").resolve("saveData.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<PbtselVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<PbtselVO> response = pbtsel.saveData(req);
    }
    @Test
    public void pendingTest() throws IOException {
        PbtselVO req = null;
        File file = Paths.get(testJsonDir, "pbtsel").resolve("pending.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<PbtselVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<PbtselVO> response = pbtsel.pending(req);
    }

    @Test
    public void executeDefault() {
        String rule = "";
        PbtselVO req = new PbtselVO();
        // 参数设置
        ResponseSet<PbtselVO> response = pbtsel.executeDefault(req,rule);
    }

}
