package com.ceb.gjjs.mda.junitTest;

import com.brilliance.mda.runtime.response.ResponseSet;
import com.fasterxml.jackson.core.type.TypeReference;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.Assert;

import java.io.File;
import java.io.IOException;
import java.nio.file.Paths;

import com.ceb.gjjs.mda.vo.RcvselVO;

public class RcvselServiceTest extends BaseTest{

    @Autowired
    private RcvselService rcvsel;

    @Test
    public void initTest() throws IOException {
        RcvselVO req = null;
        File file = Paths.get(testJsonDir, "rcvsel").resolve("init.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<RcvselVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<RcvselVO> response = rcvsel.init(req);
    }
    @Test
    public void checkAllTest() throws IOException {
        RcvselVO req = null;
        File file = Paths.get(testJsonDir, "rcvsel").resolve("checkAll.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<RcvselVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<RcvselVO> response = rcvsel.checkAll(req);
    }
    @Test
    public void saveDataTest() throws IOException {
        RcvselVO req = null;
        File file = Paths.get(testJsonDir, "rcvsel").resolve("saveData.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<RcvselVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<RcvselVO> response = rcvsel.saveData(req);
    }
    @Test
    public void pendingTest() throws IOException {
        RcvselVO req = null;
        File file = Paths.get(testJsonDir, "rcvsel").resolve("pending.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<RcvselVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<RcvselVO> response = rcvsel.pending(req);
    }

    @Test
    public void executeDefault() {
        String rule = "";
        RcvselVO req = new RcvselVO();
        // 参数设置
        ResponseSet<RcvselVO> response = rcvsel.executeDefault(req,rule);
    }

}
