package com.ceb.gjjs.mda.junitTest;

import com.brilliance.mda.runtime.response.ResponseSet;
import com.fasterxml.jackson.core.type.TypeReference;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.Assert;

import java.io.File;
import java.io.IOException;
import java.nio.file.Paths;

import com.ceb.gjjs.mda.vo.RxxtskVO;

public class RxxtskServiceTest extends BaseTest{

    @Autowired
    private RxxtskService rxxtsk;

    @Test
    public void initTest() throws IOException {
        RxxtskVO req = null;
        File file = Paths.get(testJsonDir, "rxxtsk").resolve("init.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<RxxtskVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<RxxtskVO> response = rxxtsk.init(req);
    }
    @Test
    public void checkAllTest() throws IOException {
        RxxtskVO req = null;
        File file = Paths.get(testJsonDir, "rxxtsk").resolve("checkAll.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<RxxtskVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<RxxtskVO> response = rxxtsk.checkAll(req);
    }
    @Test
    public void saveDataTest() throws IOException {
        RxxtskVO req = null;
        File file = Paths.get(testJsonDir, "rxxtsk").resolve("saveData.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<RxxtskVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<RxxtskVO> response = rxxtsk.saveData(req);
    }
    @Test
    public void pendingTest() throws IOException {
        RxxtskVO req = null;
        File file = Paths.get(testJsonDir, "rxxtsk").resolve("pending.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<RxxtskVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<RxxtskVO> response = rxxtsk.pending(req);
    }

    @Test
    public void executeDefault() {
        String rule = "";
        RxxtskVO req = new RxxtskVO();
        // 参数设置
        ResponseSet<RxxtskVO> response = rxxtsk.executeDefault(req,rule);
    }

}
