package com.ceb.gjjs.mda.junitTest;

import com.brilliance.mda.runtime.response.ResponseSet;
import com.fasterxml.jackson.core.type.TypeReference;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.Assert;

import java.io.File;
import java.io.IOException;
import java.nio.file.Paths;

import com.ceb.gjjs.mda.vo.SndselVO;

public class SndselServiceTest extends BaseTest{

    @Autowired
    private SndselService sndsel;

    @Test
    public void initTest() throws IOException {
        SndselVO req = null;
        File file = Paths.get(testJsonDir, "sndsel").resolve("init.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<SndselVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<SndselVO> response = sndsel.init(req);
    }
    @Test
    public void checkAllTest() throws IOException {
        SndselVO req = null;
        File file = Paths.get(testJsonDir, "sndsel").resolve("checkAll.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<SndselVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<SndselVO> response = sndsel.checkAll(req);
    }
    @Test
    public void saveDataTest() throws IOException {
        SndselVO req = null;
        File file = Paths.get(testJsonDir, "sndsel").resolve("saveData.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<SndselVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<SndselVO> response = sndsel.saveData(req);
    }
    @Test
    public void pendingTest() throws IOException {
        SndselVO req = null;
        File file = Paths.get(testJsonDir, "sndsel").resolve("pending.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<SndselVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<SndselVO> response = sndsel.pending(req);
    }

    @Test
    public void executeDefault() {
        String rule = "";
        SndselVO req = new SndselVO();
        // 参数设置
        ResponseSet<SndselVO> response = sndsel.executeDefault(req,rule);
    }

}
