package com.ceb.gjjs.mda.junitTest;

import com.brilliance.mda.runtime.response.ResponseSet;
import com.fasterxml.jackson.core.type.TypeReference;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.Assert;

import java.io.File;
import java.io.IOException;
import java.nio.file.Paths;

import com.ceb.gjjs.mda.vo.SndtskVO;

public class SndtskServiceTest extends BaseTest{

    @Autowired
    private SndtskService sndtsk;

    @Test
    public void initTest() throws IOException {
        SndtskVO req = null;
        File file = Paths.get(testJsonDir, "sndtsk").resolve("init.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<SndtskVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<SndtskVO> response = sndtsk.init(req);
    }
    @Test
    public void checkAllTest() throws IOException {
        SndtskVO req = null;
        File file = Paths.get(testJsonDir, "sndtsk").resolve("checkAll.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<SndtskVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<SndtskVO> response = sndtsk.checkAll(req);
    }
    @Test
    public void saveDataTest() throws IOException {
        SndtskVO req = null;
        File file = Paths.get(testJsonDir, "sndtsk").resolve("saveData.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<SndtskVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<SndtskVO> response = sndtsk.saveData(req);
    }
    @Test
    public void pendingTest() throws IOException {
        SndtskVO req = null;
        File file = Paths.get(testJsonDir, "sndtsk").resolve("pending.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<SndtskVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<SndtskVO> response = sndtsk.pending(req);
    }

    @Test
    public void executeDefault() {
        String rule = "";
        SndtskVO req = new SndtskVO();
        // 参数设置
        ResponseSet<SndtskVO> response = sndtsk.executeDefault(req,rule);
    }

}
