package com.ceb.gjjs.mda.junitTest;

import com.brilliance.mda.runtime.response.ResponseSet;
import com.fasterxml.jackson.core.type.TypeReference;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.Assert;

import java.io.File;
import java.io.IOException;
import java.nio.file.Paths;

import com.ceb.gjjs.mda.vo.XxxtskVO;

public class XxxtskServiceTest extends BaseTest{

    @Autowired
    private XxxtskService xxxtsk;

    @Test
    public void initTest() throws IOException {
        XxxtskVO req = null;
        File file = Paths.get(testJsonDir, "xxxtsk").resolve("init.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<XxxtskVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<XxxtskVO> response = xxxtsk.init(req);
    }
    @Test
    public void checkAllTest() throws IOException {
        XxxtskVO req = null;
        File file = Paths.get(testJsonDir, "xxxtsk").resolve("checkAll.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<XxxtskVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<XxxtskVO> response = xxxtsk.checkAll(req);
    }
    @Test
    public void saveDataTest() throws IOException {
        XxxtskVO req = null;
        File file = Paths.get(testJsonDir, "xxxtsk").resolve("saveData.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<XxxtskVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<XxxtskVO> response = xxxtsk.saveData(req);
    }
    @Test
    public void pendingTest() throws IOException {
        XxxtskVO req = null;
        File file = Paths.get(testJsonDir, "xxxtsk").resolve("pending.json").toFile();
        if (file.exists()) {
            req = om.readValue(file, new TypeReference<XxxtskVO>() { });
        }
        Assert.notNull(req, "调用参数不能为空！");
        ResponseSet<XxxtskVO> response = xxxtsk.pending(req);
    }

    @Test
    public void executeDefault() {
        String rule = "";
        XxxtskVO req = new XxxtskVO();
        // 参数设置
        ResponseSet<XxxtskVO> response = xxxtsk.executeDefault(req,rule);
    }

}
